/* 
 * AndSys 0.1.l.11 Copyright (C) 2012, 2013 Giulio Orru'
 * 
 * Licensed under the MIT license:
 * 
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without
 * restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following
 * conditions:
 * 
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 */

package net.sourceforge.andsys;

import java.util.List;

/**
 * Base class for those who need to maintain GLOBAL application state.
 */
public class Application extends android.app.Application {

	public List<Package> apList;

	// CHANGE BOTH (res)R.array.package_comparator AND (src)Application.java!!
	public int orderby;
	public static final int ORDERBY_PACKAGE = 0;
	public static final int ORDERBY_PACKAGE_DESC = 1;
	public static final int ORDERBY_NAME = 2;
	public static final int ORDERBY_NAME_DESC = 3;
	public static final int ORDERBY_INSTALLED = 4;
	public static final int ORDERBY_INSTALLED_DESC = 5;
	public static final int COUNT_ORDERBY = 6;

	/**
	 *  Constructor
	 *  
	 * Warning: Constructors should not call an overridable method - that is,
	 * they should only call methods that are private, static, or final.
	 */
	public Application() {
		super();
		this.apList = null;
		this.orderby = 0;
	}
	
	/**
	 * Destructor
	 */
	protected void finalize() throws Throwable{
		super.finalize();
		this.apList.clear();
		this.orderby = 0;
	}

}
